Friday, January 22, 2010

Protect Yourself with Triple Engine

Hi guys,

Many of you have probably heard of the recent IE vulnerability issue which German and French government acted quite strongly. (If you haven't, you can read it here

Internet security is a lot to do with individual's system setup and behavior, and it is difficult to be 100% safe. But, when times like this, Lunascape's triple engine becomes really handy.

When a security hole of a browser is being exploited, what would you do? You won't access the Internet until the hole is patched? Or would you go through the process of downloading another browser and learning how to use it from scratch? And what happens when the new browser you switched to encounter different vulnerability issues?

With Lunascape's triple engine, protecting yourself is just two clicks away. When there is a problem with IE, you change your default engine to Gecko or WebKit. Similarly, if there is a problem with Firefox, you can instantly change it to WebKit or Trident. And you can do all that having the same UI, favorites, bookmarks etc. that you are familiar with. No re-learning involved. No productivity lost.

Yes, each of our engine is susceptible to the same security issues and, in this case, we strongly encourage you to apply the emergency patch provided by  Microsoft to your IE (Trident) . But, you won't really hear that security issues of all major browsers are targeted at the same time, Therefore, you will be much safer using Lunascape and having control over which engine to use at any given time.

Hadn't thought about this merit of triple engine? Well, now you know.
Take charge and stay safe.
You can also help your friends in Germany and France by informing this alternative.